# SPDX-License-Identifier: BSD-2-Clause
#
# SPDX-FileCopyrightText: Copyright (c) 2022-2025, NVIDIA CORPORATION & AFFILIATES. All rights reserved.
#

global-incdirs-y += include
srcs-$(CFG_JETSON_FTPM_HELPER_PTA) += jetson_ftpm_helper_pta.c
srcs-$(CFG_JETSON_USER_KEY_PTA) += jetson_user_key_pta.c
srcs-$(CFG_JETSON_USER_KEY_PTA) += jetson_decrypt_cpubl_payload.c
srcs-$(CFG_JETSON_USER_KEY_PTA) += jetson_nist_sp_800_108_kdf.c
srcs-$(CFG_JETSON_USER_KEY_PTA) += jetson_ekb_user_key_management.c
srcs-$(PLATFORM_FLAVOR_t234) += jetson_ekb_extraction_t234.c
srcs-$(PLATFORM_FLAVOR_t264) += jetson_ekb_extraction_t264.c
srcs-$(PLATFORM_FLAVOR_t264) += jetson_ekb_extraction_t264_hw.c

# Add source files and include header files from $(NV_OPTEE_DIR)
ifneq ("$(wildcard $(NV_OPTEE_DIR))","")
subdirs_ext-y += $(NV_OPTEE_DIR)/core/pta/tegra
global-incdirs_ext-y += $(NV_OPTEE_DIR)/lib/libutee/include
endif
